Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.text.shared
Class ToStringRenderer

    java.lang.Object
      com.google.gwt.text.shared.AbstractRenderer<java.lang.Object>
          com.google.gwt.text.shared.ToStringRenderer

All Implemented Interfaces:
  Renderer<java.lang.Object>

    public class ToStringRenderer

extends AbstractRenderer<java.lang.Object>

A simple renderer that uses `Object.toString()` of the object.

Constructor Summary
`ToStringRenderer(java.lang.String textForNull)` Constructs a `ToStringRenderer` that uses custom `textForNull` for `null` objects.

Method Summary
`static ToStringRenderer` | `instance()` Returns a `ToStringRenderer` that uses empty string for `null` objects.
`java.lang.String` | `render(java.lang.Object object)` Renders `object` as plain text.

Methods inherited from class com.google.gwt.text.shared.AbstractRenderer
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToStringRenderer

    public ToStringRenderer(java.lang.String textForNull)

  Constructs a `ToStringRenderer` that uses custom `textForNull` for `null` objects.

Method Detail

### instance

    public static ToStringRenderer instance()

  Returns a `ToStringRenderer` that uses empty string for `null` objects.

### render

    public java.lang.String render(java.lang.Object object)

  Description copied from interface: `Renderer`
  Renders `object` as plain text. Should never throw any exceptions!

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD